Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.samlp
Class AttributeQuery

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.samlp.Query
oracle.security.xmlsec.samlp.SubjectQuery
oracle.security.xmlsec.samlp.AttributeQuery`

public class AttributeQuery
extends SubjectQuery

A SAML query to retrieve the requested attributes for a specific subject.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`AttributeQuery(org.w3c.dom.Document owner)` Creates a new `AttributeQuery` instance.
`AttributeQuery(org.w3c.dom.Element element)` Creates a new `AttributeQuery` instance from the given Element node.
`AttributeQuery(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `AttributeQuery` instance from the given Element node.

Method Summary
`void` | `addAttributeDesignator(AttributeDesignator attrDesig)` Adds an attribute designator.
`java.util.List` | `getAttributeDesignators()` Gets the list of attribute designators present in this element.
`java.lang.String` | `getResource()` Gets the resource attribute of this AttributeQuery element.
`void` | `setResource(java.lang.String uri)` Sets the resource attribute.

Methods inherited from class oracle.security.xmlsec.samlp.SubjectQuery
`getSubject, setSubject`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeQuery

    public AttributeQuery(org.w3c.dom.Element element)
                   throws org.w3c.dom.DOMException

  Creates a new `AttributeQuery` instance from the given Element node.
Parameters:
  `element` - An AttributeQuery element.

### AttributeQuery

    public AttributeQuery(org.w3c.dom.Element element,
                          java.lang.String systemId)
                   throws org.w3c.dom.DOMException

  Creates a new `AttributeQuery` instance from the given Element node.
Parameters:
  `element` - An AttributeQuery element.
  `systemId` - The URI string system ID for the `AttributeQuery`.

### AttributeQuery

    public AttributeQuery(org.w3c.dom.Document owner)
                   throws org.w3c.dom.DOMException

  Creates a new `AttributeQuery` instance.
Parameters:
  `owner` - The owner document of the new AttributeQuery.

Method Detail

### setResource

    public void setResource(java.lang.String uri)

  Sets the resource attribute. Specifies that the attribute query is made in response to a specific authorization decision.
  Parameters:
    `uri` - A `URI` representing a resource.

### getResource

    public java.lang.String getResource()

  Gets the resource attribute of this AttributeQuery element.
  Returns:
    A String object representing a `URI`.

### addAttributeDesignator

    public void addAttributeDesignator(AttributeDesignator attrDesig)

  Adds an attribute designator.
  Parameters:
    `attrDesig` - An `AttributeDesignator` specifying an attribute whose value is to be returned.

### getAttributeDesignators

    public java.util.List getAttributeDesignators()

  Gets the list of attribute designators present in this element.
  Returns:
    A `List` containing `AttributeDesignator` or an empty `List` if none has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.